### Function

# Gimp ConfigInterface deserialize_strv

unstable since: 3.0

#### Declaration [src]

    GTokenType
    gimp_config_deserialize_strv (
      GValue* value,
      GScanner* scanner
    )

#### Description [src]

Sets `value` to new `GStrv`. Scans i.e. consumes serialization to fill the GStrv.

Requires `value` to be initialized to hold type #G_TYPE_BOXED.

Available since: 3.0

#### Parameters

`value`

  Type: `GValue`

  Destination `GValue` to hold a `GStrv`.

  The data is owned by the caller of the function.

`scanner`

  Type: `GScanner`

  `GScanner` positioned in serialization stream.

  The data is owned by the caller of the function.

#### Return value

Type: `GTokenType`

G_TOKEN_RIGHT_PAREN on success. G_TOKEN_INT on failure to scan length. G_TOKEN_STRING on failure to scan enough quoted strings.

On failure, the value in `value` is not touched and could be NULL.